package de.ozgcloud.nachrichten.postfach.osiv2.model;

import java.time.ZonedDateTime;
import java.util.List;

import de.ozgcloud.nachrichten.postfach.PostfachNachricht;
import lombok.Builder;

@Builder
public record Osi2Message(
		String vorgangId,
		String mailboxId,
		String messageId,
		ZonedDateTime createdAt,
		String subject,
		String mailBody,
		PostfachNachricht.ReplyOption replyOption,
		List<AttachmentInfo> attachments
) {
}
