package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.factory.Osi2FileUploadTestFactory.*;
import static de.ozgcloud.nachrichten.postfach.osiv2.factory.PostfachNachrichtTestFactory.*;

import de.ozgcloud.nachrichten.postfach.osiv2.model.AttachmentFile;

public class AttachmentFileTestFactory {

	public static AttachmentFile create() {
		return createBuilder().build();
	}

	public static AttachmentFile.AttachmentFileBuilder createBuilder() {
		return AttachmentFile.builder()
				.name(UPLOAD_NAME)
				.contentType(UPLOAD_CONTENT_TYPE)
				.vorgangId(VORGANG_ID);
	}
}
