package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import de.ozgcloud.nachrichten.postfach.osiv2.model.FileChunkInfo;

public class FileChunkInfoTestFactory {

	public static final Integer CHUNK_INDEX = 1;

	public static FileChunkInfo create() {
		return createBuilder().build();
	}

	public static FileChunkInfo.FileChunkInfoBuilder createBuilder() {
		return FileChunkInfo.builder()
				.upload(Osi2FileUploadTestFactory.create())
				.chunkIndex(CHUNK_INDEX);
	}
}
