package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;

public class GrpcOzgFileTestFactory {

	public static final String FILE_ID = "ozgfileId1";
	public static final String FILE_ID_2 = "ozgfileId2";
	public static final String FILE_NAME = "ozgfileName1";
	public static final String FILE_CONTENT_TYPE = "ozgfileContentType1";
	public static final Long FILE_SIZE = 124L;

	public static GrpcOzgFile create() {
		return createBuilder().build();
	}

	public static GrpcOzgFile.Builder createBuilder() {
		return GrpcOzgFile.newBuilder()
				.setId(FILE_ID)
				.setName(FILE_NAME)
				.setContentType(FILE_CONTENT_TYPE)
				.setSize(FILE_SIZE);
	}
}
