package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.util.Arrays;
import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.MessageExchangeReceiveMessagesResponse;

public class MessageExchangeReceiveMessagesResponseTestFactory {

	public static final String MESSAGE_ID_1 = UUID.randomUUID().toString();
	public static final String MESSAGE_ID_2 = UUID.randomUUID().toString();

	public static MessageExchangeReceiveMessagesResponse create(String... uuids) {
		return new MessageExchangeReceiveMessagesResponse()
				.messages(Arrays.stream(uuids)
						.map(uuid -> MessageExchangeReceiveMessageTestFactory.create()
								.guid(uuid == null ? null : UUID.fromString(uuid)))
						.toList());
	}

}
