package de.ozgcloud.nachrichten.postfach.osiv2;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Service;

import de.ozgcloud.nachrichten.postfach.osiv2.config.Osi2PostfachProperties;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Service
@ConditionalOnProperty(prefix = Osi2PostfachProperties.PREFIX, name = "enabled", havingValue = "true")
public @interface ServiceIfOsi2Enabled {
}
