package de.ozgcloud.nachrichten.postfach.osiv2.exception;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.QuarantineStatus;

public class Osi2UploadException extends Exception {
	public Osi2UploadException(QuarantineStatus uploadStatus) {
		super(uploadStatus.toString());
	}

	public boolean isUnsafe() {
		return QuarantineStatus.fromValue(getMessage()) == QuarantineStatus.UNSAFE;
	}
}
