package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.factory.Osi2FileUploadTestFactory.*;

import de.ozgcloud.nachrichten.postfach.osiv2.model.AttachmentInfo;

public class AttachmentInfoTestFactory {

	public static AttachmentInfo create() {
		return createBuilder().build();
	}

	public static AttachmentInfo.AttachmentInfoBuilder createBuilder() {
		return AttachmentInfo.builder()
				.name(UPLOAD_NAME)
				.contentType(UPLOAD_CONTENT_TYPE)
				.guid(UPLOAD_GUID)
				.size(UPLOAD_SIZE);
	}
}
