package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import static de.ozgcloud.nachrichten.postfach.osiv2.factory.V1ReplyMessageTestFactory.*;

import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.MessageExchangeSendMessageResponse;

public class MessageExchangeSendMessageResponseTestFactory {

	public static MessageExchangeSendMessageResponse create() {
		return createBuilder().build();
	}

	public static MessageExchangeSendMessageResponse.Builder createBuilder() {
		return MessageExchangeSendMessageResponse.builder()
				.messageId(UUID.fromString(MESSAGE_ID));
	}
}
