package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.util.UUID;

import de.ozgcloud.apilib.file.OzgCloudFileTestFactory;
import de.ozgcloud.nachrichten.postfach.osiv2.model.Osi2Attachment;

public class Osi2AttachmentTestFactory {
	public static final String ATTACHMENT_GUID = UUID.randomUUID().toString();
	public static final String ATTACHMENT_GUID_2 = UUID.randomUUID().toString();

	public static Osi2Attachment create() {
		return createBuilder().build();
	}

	public static Osi2Attachment.Osi2AttachmentBuilder createBuilder() {
		return Osi2Attachment.builder()
				.guid(ATTACHMENT_GUID)
				.file(OzgCloudFileTestFactory.create());
	}
}
